<?php
/**
 * @file
 * debut_newsletter.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function debut_newsletter_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'newsletter-content-type';
  $context->description = 'When viewing a newsletter, show contextual information.';
  $context->tag = 'Content types';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'simplenews' => 'simplenews',
      ),
      'options' => array(
        'node_form' => '1',
      ),
    ),
  );
  $context->reactions = array(
    'block' => array(
      'blocks' => array(
        'simplenews-1' => array(
          'module' => 'simplenews',
          'delta' => 1,
          'region' => 'sidebar_second',
          'weight' => '-10',
        ),
      ),
    ),
    'breadcrumb' => 'newsletter',
    'menu' => 'newsletter',
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Content types');
  t('When viewing a newsletter, show contextual information.');
  $export['newsletter-content-type'] = $context;

  return $export;
}
